Bug 5249 - [UPDATE REQUEST] hw-probe 0.9
: [UPDATE REQUEST] hw-probe 0.9
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: High major
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-21 14:15 MSK by Andrey Ponomarenko
Modified: 2015-03-30 14:30 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Ponomarenko 2015-03-21 14:15:29 MSK
Advisory: HW Probe Tool (hw-probe) was updated to 0.9 version.

1. Added -log-level option to select logging level: "minimal", "default" or "maximal".
2. Added -compact option to fit output of -show option (to list probe devices in terminal).
3. Added -list option to list executed probes (for debugging).
4. Added battery device to the list of devices (if able to detect).
5. Added glxgears test (if -check option is specified).
6. Added requirement for smartmontools to run smartctl for HDDs.
7. Show warning if sudo was used to execute the tool.
8. Fixed curl error 22: "The requested URL returned error: 417 Expectation Failed".
9. Fixed incorrectly detected driver for graphics card.
10. Fixed detection of hwaddr if multiple ethernet cards are available on the computer.
11. Corrected attributes (id, type, vendor, name, etc.) of some devices.
12. Fixed detection of memory modules.
13. Fixed detection of monitor size.
14. New probes (31):

grub.cfg, journalctl.1 (from previous boot), alsactl, amixer, aplay, arecord, boot.log, codec, cpuinfo, df, dkms status, fdisk, fstab, hciconfig, input/devices, ioports, iw, iwconfig, /lib/modules, lsblk, meminfo, mount, nm-tool, nmcli, ps, pstree, rfkill, /sys/class, udevadm, xdpyinfo, xmodmap.

15: New probes if "--log-level=maxi" option is specified (4):

acpidump, iw scan, hcitool scan, route.


Build lists:

https://abf.rosalinux.ru/build_lists/2474415 (x86_64)
https://abf.rosalinux.ru/build_lists/2474413 (x86)
Comment 2 Vladimir Potapov 2015-03-24 16:26:42 MSK
The update sent to expanded testing
*************************************
Comment 3 Andrey Ponomarenko 2015-03-25 14:41:15 MSK
TOSHIBA Satellite A135: http://hw.rosalinux.ru/index.php?probe=857ec9dae6
Comment 4 Andrey Ponomarenko 2015-03-25 14:41:56 MSK
Extended testing report - Ok
Comment 5 Vladimir Potapov 2015-03-30 08:42:38 MSD
hw-probe-0.9-1
https://abf.rosalinux.ru/build_lists/2474415 (x86_64)
https://abf.rosalinux.ru/build_lists/2474413 (x86)
********************* Advisory *************************
 HW Probe Tool (hw-probe) was updated to 0.9 version
. Added -log-level option to select logging level: "minimal", "default" or "maximal".
2. Added -compact option to fit output of -show option (to list probe devices in terminal).
3. Added -list option to list executed probes (for debugging).
4. Added battery device to the list of devices (if able to detect).
5. Added glxgears test (if -check option is specified).
6. Added requirement for smartmontools to run smartctl for HDDs.
7. Show warning if sudo was used to execute the tool.
8. Fixed curl error 22: "The requested URL returned error: 417 Expectation Failed".
9. Fixed incorrectly detected driver for graphics card.
10. Fixed detection of hwaddr if multiple ethernet cards are available on the computer.
11. Corrected attributes (id, type, vendor, name, etc.) of some devices.
12. Fixed detection of memory modules.
13. Fixed detection of monitor size.
14. New probes (31):

grub.cfg, journalctl.1 (from previous boot), alsactl, amixer, aplay, arecord, boot.log, codec, cpuinfo, df, dkms status, fdisk, fstab, hciconfig, input/devices, ioports, iw, iwconfig, /lib/modules, lsblk, meminfo, mount, nm-tool, nmcli, ps, pstree, rfkill, /sys/class, udevadm, xdpyinfo, xmodmap.

15: New probes if "--log-level=maxi" option is specified (4):

********************************************************
QA Verified